import React from 'react';
import { Typography } from 'antd';
import { NavLink } from "react-router-dom";
import { useModel } from '@/store';

const { Title } = Typography;

export default (props) => {
  const { app } = useModel('system');

  return (
    <NavLink className='logo'  to="/">
      <img src="./logo.png" alt="" />
      <Title level={5}>{app.shorName}</Title>
    </NavLink>
  )
}
