
import { Helmet } from "react-helmet";
import { useModel } from '@/store';

export default (props) => {
  const { app } = useModel('system');
  const { title } = useModel('route');
  
  const titleTemplate = `%s - ${app.fullName}`;
  const defaultTitle = app.fullName;

  return (
    <Helmet titleTemplate={titleTemplate} defaultTitle={defaultTitle}>
      <title>{title}</title>
    </Helmet>
  );
}
