import { createStore } from "@zjxpcyc/react-tiny-store";
import useSystem from "./models/system";
import useRoute from "./models/route";
import useUser from "./models/user";

const store = createStore({
  system: useSystem,
  route: useRoute,
  user: useUser,
});

export default store
export const useModel = store.useModel
export const addModel = store.addModel
export const removeModel = store.removeModel
export const Provider = store.Provider
