import { Typography } from 'antd';
import { useModel } from '@/store';

const { Title } = Typography;

const titleStyle = {
  margin: 0,
}

const spanStyle = {
  display: 'inline-block',
  width: '24px',
  textAlign: 'center'
}

export default (props) => {
  const { title } = useModel('system');

  return (
    <Title level={5} style={titleStyle}>
      <span style={spanStyle}>&raquo;</span>
      <span>{title}</span>    
    </Title>
  );
}
